Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2160038 - bugzilla-5.0.6-15.fc38 FTBFS: LaTeX Error: File `tgtermes.sty' not found.
Summary: bugzilla-5.0.6-15.fc38 FTBFS: LaTeX Error: File `tgtermes.sty' not found.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-01-11 11:48 UTC by Petr Pisar
Modified: 2023-02-12 18:43 UTC (History)
3 users (show)

Fixed In Version: bugzilla-5.0.6-17.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-12 18:43:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-01-11 11:48:13 UTC
bugzilla-5.0.6-15.fc38 fails to build in Fedora 38:

make -C ./pdf all-pdf
make[1]: Entering directory '/builddir/build/BUILD/bugzilla-release-5.0.6/docs/en/pdf'
latexmk -pdf -dvi- -ps-  'Bugzilla.tex'
Rc files read:
  /etc/latexmkrc
  latexmkrc
Latexmk: This is Latexmk, John Collins, 7 Jan. 2023. Version 4.79.
No existing .aux file, so I'll make a simple one, and require run of *latex.
Latexmk: applying rule 'pdflatex'...
[...]
mktexfmt [INFO]: exiting with status 0
entering extended mode
(./Bugzilla.tex
LaTeX2e <2022-06-01> patch level 5
L3 programming layer <2022-12-17> (./sphinxmanual.cls
Document Class: sphinxmanual 2019/12/01 v2.3.0 Document class (Sphinx manual)
(/usr/share/texlive/texmf-dist/tex/latex/base/report.cls
Document Class: report 2021/10/04 v1.4n Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo)))
(/usr/share/texlive/texmf-dist/tex/latex/base/inputenc.sty)
(/usr/share/texlive/texmf-dist/tex/latex/cmap/cmap.sty)
(/usr/share/texlive/texmf-dist/tex/latex/base/fontenc.sty<<t1.cmap>>)
(/usr/share/texlive/texmf-dist/tex/latex/amsmath/amsmath.sty
For additional information on amsmath, use the `?' option.
(/usr/share/texlive/texmf-dist/tex/latex/amsmath/amstext.sty
(/usr/share/texlive/texmf-dist/tex/latex/amsmath/amsgen.sty))
(/usr/share/texlive/texmf-dist/tex/latex/amsmath/amsbsy.sty)
(/usr/share/texlive/texmf-dist/tex/latex/amsmath/amsopn.sty))
(/usr/share/texlive/texmf-dist/tex/latex/amsfonts/amssymb.sty
(/usr/share/texlive/texmf-dist/tex/latex/amsfonts/amsfonts.sty))
(/usr/share/texlive/texmf-dist/tex/generic/babel/babel.sty
(/usr/share/texlive/texmf-dist/tex/generic/babel/txtbabel.def)
(/usr/share/texlive/texmf-dist/tex/generic/babel-english/english.ldf))
(/usr/share/texlive/texmf-dist/tex/generic/babel/locale/en/babel-english.tex)
! LaTeX Error: File `tgtermes.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)
Enter file name: 
! Emergency stop.
<read *> 
         
l.38 \usepackage
                {tgheros}^^M
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on Bugzilla.log.
Latexmk: Missing input file 'tgtermes.sty' (or dependence on it) from following:
  ! LaTeX Error: File `tgtermes.sty' not found.
Latexmk: If appropriate, the -f option can be used to get latexmk
  to try to force complete processing.
Latexmk: Getting log file 'Bugzilla.log'
Latexmk: Examining 'Bugzilla.fls'
Latexmk: Examining 'Bugzilla.log'
Latexmk: Errors, so I did not complete making targets
Collected error summary (may duplicate other messages):
  pdflatex: Command for 'pdflatex' gave return code 1
      Refer to 'Bugzilla.log' and/or above output for details
make[1]: Leaving directory '/builddir/build/BUILD/bugzilla-release-5.0.6/docs/en/pdf'

A difference between passing and failing buildroot is at <https://koschei.fedoraproject.org/build/14521527>. This is probably triggered by upgrading texlive-base from 9:20210325-52.fc38 to 10:20220321-55.fc38.

Comment 1 Ben Cotton 2023-02-07 15:05:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 2 Emmanuel Seyman 2023-02-12 18:43:18 UTC
Fixed in f38 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.